"""Add notifications

Revision ID: bd2299b3bdcd
Revises: 51049344216f
Create Date: 2021-04-24 07:27:43.451089

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "bd2299b3bdcd"
down_revision = "51049344216f"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "notifications",
        sa.Column("id", sa.Integer(), autoincrement=True, nullable=False),
        sa.Column("subscription_id", sa.Integer(), nullable=True),
        sa.Column("package_name", sa.String(), nullable=True),
        sa.Column("information", sa.Text(), nullable=False),
        sa.ForeignKeyConstraint(
            ["package_name"],
            ["packages.name"],
        ),
        sa.ForeignKeyConstraint(
            ["subscription_id"],
            ["subscriptions.id"],
        ),
        sa.PrimaryKeyConstraint("id"),
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("notifications")
    # ### end Alembic commands ###
